<div class="paused-overlay" *ngIf="pausedDataRecording">
  <fa-icon class="icon" [icon]="faPauseCircle" (click)="showPauseDialog()"></fa-icon>
</div>
<nz-layout>
  <nz-sider>
    <ul nz-menu nzMode="vertical">
      <li
        nz-menu-item
        *ngFor="let provider of providers"
        (click)="scroll(provider.name)"
      >{{ provider.name }}</li>
      <li nz-menu-divider></li>
      <li class="centered-list-item"><button nz-button nzType="default" (click)="showPauseDialog()">Erfassung {{ pausedDataRecording ? 'Fortsetzen' : 'Pausieren' }}</button></li>
    </ul>

  </nz-sider>
  <nz-layout>
    <nz-content>
      <p></p>
      <div nz-row [nzGutter]="[16, 16]" nzJustify="center">
        <div nz-col class="gutter-row" [nzSpan]="20" *ngFor="let provider of providers; index as providerIdx" [attr.id]="provider.name">
          <nz-card>
            <nz-card-meta [nzTitle]="provider.name" [nzDescription]="provider.description"></nz-card-meta>
            <div *ngIf="providerUserConsent[provider.id] as consent">
              <app-provider-setting
                [consentDeclaration]="consent"
                (change)="changePrivacySetting($event, provider, providerIdx)"
                [deletable]="true"></app-provider-setting>
            </div>
          </nz-card>
        </div>
      </div>

      <div class="save-changes-btn">
        <button
          nz-button
          nzType="primary"
          (click)="saveChanges()"
          i18n="Save @@save">
          Save
        </button>
      </div>
      <p></p>
    </nz-content>
  </nz-layout>
</nz-layout>
